
Infrastructure - Task #6728

Story # 6723 (Closed): test v2 MN and CN buildouts

Task # 6724 (Closed): refactor d1_integration for v2

adapt d1_integration classes to v2 libclient

2015-01-06 18:27 - Rob Nahf

Status: Closed Start date: 2015-01-07

Priority: Normal Due date: 2015-01-07

Assignee: Rob Nahf % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version:    

Description

mostly replacing "new MNode(basurl)" with factory methods and adjusting namespaces.

CommonCallAdapter could also be taking the place for many of these, so maybe it should follow the reuse refactoring tasks.

Related issues:

Follows Infrastructure - Task #6727: refactor tests for reuse Closed 2015-01-06

History

#1 - 2015-01-06 21:37 - Rob Nahf

- Description updated

#2 - 2015-01-21 23:16 - Rob Nahf

- Project changed from Infrastructure to Java Client

- Category deleted (d1_integration)

- Status changed from New to In Progress

- % Done changed from 0 to 50

the api-tests are all refactored, but functional tests still unchanged.  We implemented maven compile exclude paths to allow us to come back to these

functional tests later, and without delaying a new web tester deployment.

#3 - 2015-01-21 23:16 - Rob Nahf

- Project changed from Java Client to Infrastructure

- Milestone set to None

#4 - 2016-01-05 18:20 - Rob Nahf

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

- translation missing: en.field_remaining_hours set to 0.0

now in maintenance mode...  All that were active were rewritten
